API referenceCompanies
Update a company
PATCH
/companies/{id}curl -X PATCH "https://actions.53degrees.app/api/v1/companies/{id}" \
-H "Authorization: Bearer $53_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"email": "[email protected]",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postcode": "string",
"country": "string"
},
"links": [
{
"type": "website",
"url": "https://example.com"
}
],
"lifecycle": "lead",
"assignedTo": "string",
"notes": "string",
"externalId": "string",
"source": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
namestringemailstring<email> | nullphonestring | nullIn international format, such as "+447700900123".
addressobject | nulllinksobject[] | nulllifecycleenum<string>One of:leadprospectcustomerchurnedvipemployeesupplierotherassignedTostring | nullThe user id of the member who owns it.
notesstringPlain text.
externalIdstring | nullYour own id for it.
sourcestring
Response
application/json
Success
idstringrequiredAn id the API returned.
objectenum<string>requiredOne of:companynamestringrequiredemailstring | nullrequiredphonestring | nullrequiredaddressobject | nullrequiredlinksobject[]requiredlifecycleenum<string>requiredOne of:leadprospectcustomerchurnedvipemployeesupplierothersourcestring | nullrequiredassignedTostring | nullrequiredexternalIdstring | nullrequiredtagsstring[]requiredcreatedAtstringrequiredISO 8601.
updatedAtstringrequiredISO 8601.
{
"id": "string",
"object": "company",
"name": "string",
"email": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postcode": "string",
"country": "string"
},
"links": [
{
"type": "website",
"url": "https://example.com"
}
],
"lifecycle": "lead",
"source": "string",
"assignedTo": "string",
"externalId": "string",
"tags": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}